View Issue Details

IDProjectCategoryView StatusLast Update
0005008Talermechant backendpublic2021-09-02 18:22
ReporterMarcello Stanisci Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.3Fixed in Version0.3 
Summary0005008: segfault when launched twice
DescriptionThis bug appears when the payments generator is launched twice. The generator
then tries to spawn two merchant processes (on the same port), and one of them segfaults.

Not providing logs because I only got this report from Christoph (withouth any Valgrind output) and I had problems to reproduce it.

The uploaded file shows the configuration used by Christoph.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-05-11 11:00

viewer  

taler.conf (4,012 bytes)

Christian Grothoff

2017-05-14 15:34

manager   ~0012133

No more crashes as of 6004b80..0390a22.

Related Changesets

merchant: master 0390a224

2017-05-14 15:34:28

Christian Grothoff

Details Diff
fix 0005008 Affected Issues
0005008
mod - src/backend/taler-merchant-httpd_exchanges.c Diff File

Issue History

Date Modified Username Field Change
2017-05-11 11:00 Marcello Stanisci New Issue
2017-05-11 11:00 Marcello Stanisci Status new => assigned
2017-05-11 11:00 Marcello Stanisci Assigned To => Marcello Stanisci
2017-05-11 11:00 Marcello Stanisci File Added: taler.conf
2017-05-14 14:39 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2017-05-14 14:39 Christian Grothoff Product Version => git (master)
2017-05-14 14:39 Christian Grothoff Target Version => 0.3
2017-05-14 14:39 Christian Grothoff Description Updated
2017-05-14 15:34 Christian Grothoff Note Added: 0012133
2017-05-14 15:34 Christian Grothoff Status assigned => resolved
2017-05-14 15:34 Christian Grothoff Resolution open => fixed
2017-05-14 15:34 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 0390a224